: Class TextView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Free.awt
Class TextView

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Canvas
                  |
                  +--Free.awt.TextView

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class TextView
extends java.awt.Canvas

An alternative TextView (non-editable) that allows font colors, sytles, and word-wrap.
Originally from NFC Chat. Modified for use in GNU.FREE
Works in JDK1.0.2

Since:
  1.6
Version:
  1.0 2 April 2001
Author:
  Jason Kitcat
See Also:
  Serialized Form

Inner classes inherited from class java.awt.Canvas
`java.awt.Canvas.AccessibleAWTCanvas`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.AWTTreeLock`

Field Summary
`protected TextStyle` | `_defaultStyle`
`protected int` | `_firstRun`
`protected java.util.Vector` | `_runs`
`protected int` | `_yTranslation`
`static java.awt.Font` | `DEFAULT_FONT`

Fields inherited from class java.awt.Component
`accessibleContext, actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, componentListener, componentListenerK, componentOrientation, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`TextView()`
`TextView(boolean autoScrolling)`

Method Summary
`void` | `append(java.lang.String s)`
`void` | `append(java.lang.String s, TextStyle style)`
`void` | `append(TextRun run)`
`(package private) boolean` | `createBuffer()`
`TextStyle` | `getDefaultStyle()`
`void` | `paint(java.awt.Graphics g)`
`java.awt.Dimension` | `preferredSize()`
`void` | `prepare(TextRun run)`
`void` | `prepareAll()`
`void` | `renderViewable(java.awt.Graphics g)`
`void` | `reshape(int x, int y, int w, int h)`
`void` | `setFont(java.awt.Font f)`
`void` | `setFont(java.lang.String name)`
`void` | `setFontSize(int size)`
`void` | `setScrollView(ScrollView sv)`
`void` | `setYTranslation(int y)`
`void` | `show()`
`void` | `update(java.awt.Graphics g)`

Methods inherited from class java.awt.Canvas
`, addNotify, constructComponentName, getAccessibleContext, postsOldMouseEvents`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkGD, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createChildHierarchyEvents, createHierarchyEvents, createImage, createImage, deliverEvent, disable, disableEvents, dispatchEvent, dispatchEventImpl, doLayout, enable, enable, enableEvents, enableInputMethods, eventEnabled, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getInputContext, getInputMethodRequests, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getPreferredSize, getSize, getSize, getToolkit, getToolkitImpl, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isShowing, isValid, isVisible, keyDown, keyUp, layout, lightweightPaint, lightweightPrint, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, numListening, paintAll, paintHeavyweightComponents, paramString, postEvent, prepareImage, prepareImage, print, printAll, printHeavyweightComponents, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, resetGC, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_FONT

    public static java.awt.Font DEFAULT_FONT

### _runs

    protected java.util.Vector _runs

### _defaultStyle

    protected TextStyle _defaultStyle

### _yTranslation

    protected int _yTranslation

### _firstRun

    protected int _firstRun

Constructor Detail

### TextView

    public TextView(boolean autoScrolling)

### TextView

    public TextView()

Method Detail

### getDefaultStyle

    public TextStyle getDefaultStyle()

### setScrollView

    public void setScrollView(ScrollView sv)

### setFont

    public void setFont(java.lang.String name)

### setFontSize

    public void setFontSize(int size)

### setFont

    public void setFont(java.awt.Font f)

  Overrides:
    `setFont` in class `java.awt.Component`

### append

    public void append(java.lang.String s,
                       TextStyle style)

### append

    public void append(TextRun run)

### append

    public void append(java.lang.String s)

### setYTranslation

    public void setYTranslation(int y)

### update

    public void update(java.awt.Graphics g)

  Overrides:
    `update` in class `java.awt.Component`

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `java.awt.Canvas`

### show

    public void show()

  Overrides:
    `show` in class `java.awt.Component`

### reshape

    public void reshape(int x,
                        int y,
                        int w,
                        int h)

  Overrides:
    `reshape` in class `java.awt.Component`

### createBuffer

    boolean createBuffer()

### preferredSize

    public java.awt.Dimension preferredSize()

  Overrides:
    `preferredSize` in class `java.awt.Component`

### prepare

    public void prepare(TextRun run)

### prepareAll

    public void prepareAll()

### renderViewable

    public void renderViewable(java.awt.Graphics g)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD